--On 7. Juni 2005 16:10:55 +1000 Anthony Baxter <[EMAIL PROTECTED]> wrote:

On Tuesday 07 June 2005 14:27, Andreas Jung wrote:
This is likely a task for Jim. I don't have any about ZClasses (and I
won't them). If necessary this problem might be fixed in a later
release. This problem is not as serious as I could hold up the final 2.8
release. This release has to go out now.

Are working ZClasses no longer a requirement for Zope? (This is not a
flame, just a question). There's plenty of people out there with
ZClass-based  products, so if 2.8 is going to ship with broken ZClass,
there should  probably be a reasonably prominent warning in the release
notes about this.

According to Jim ZClasses are working. A possibly isolated bug in ZClasses is bad but there are in general lots of such bugs in Zope. So this is not a release stopper for me now. We have discussed ZClasses already and about how ZClasses can be maintained in the future. Since I see little commitment to ZClasses (except from Jim) ZClasses are not really a blocker for *this* 2.8.0 release. We defered this release already a bunch of times and it is now time to get 2.8.0 with Five and MVCC support to people. This is much, much more important for Zope than having to care about ZClasses. People can stick with Zope 2.7 if there is a problem for them with ZClasses in the hope that someone fixes outstanding ZClasses in a further 2.8 release. I don't care getting some beatings for my opinon that ZClasses are a neat ancient toy but not the tool of choice for nowadays Zope applications. We need a strong ZODB with MVCC and we need Five to bridge the world to Zope 3. And therefore ZClasses are absolutely not a reason to block the 2.8.0 release.


Attachment: pgpkNjKwwKyud.pgp
Description: PGP signature

Zope-Coders mailing list

Reply via email to